> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Monster API

> Access generative AI models at 80% lower costs through Monster API and Prisma AIRS AI Gateway.

## Quick Start

Get started with Monster API in under 2 minutes:

```sh cURL icon="square-terminal" theme={"system"}
# 1. Add @monsterapi provider in model catalog
# 2. Use it:

curl https://aigw.portkey.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $PORTKEY_API_KEY" \
  -d '{
    "model": "@monsterapi/llama-3.1-8b-instruct",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

```python OpenAI Py icon="python" theme={"system"}
from openai import OpenAI

# 1. Install: pip install openai
# 2. Add @monsterapi provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # AI Gateway API key
    base_url="https://aigw.portkey.ai/v1"
)

response = client.chat.completions.create(
    model="@monsterapi/llama-3.1-8b-instruct",
    messages=[{"role": "user", "content": "Hello!"}]
)

print(response.choices[0].message.content)
```

```js OpenAI JS icon="square-js" theme={"system"}
import OpenAI from "openai"

// 1. Install: npm install openai
// 2. Add @monsterapi provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // AI Gateway API key
    baseURL: "https://aigw.portkey.ai/v1"
})

const response = await client.chat.completions.create({
    model: "@monsterapi/llama-3.1-8b-instruct",
    messages: [{ role: "user", content: "Hello!" }]
})

console.log(response.choices[0].message.content)
```

## Add Provider in Model Catalog

Before making requests, add Monster API to your Model Catalog:

1. Go to [**Model Catalog → Add Provider**](https://stratacloudmanager.paloaltonetworks.com/)
2. Select **Monster API**
3. Enter your [Monster API key](https://monsterapi.ai/user/dashboard)
4. Name your provider (e.g., `monsterapi`)

> **[Complete Setup Guide](https://docs.portkey.ai/docs/aigw/product/model-catalog.md)**
>
> See all setup options and detailed configuration instructions

***

## Supported Models

Monster API provides cost-effective access to open-source models:

> **[Supported Models](https://llm.monsterapi.ai/docs)**
>
> View the complete list of Monster API models

Popular models include:

* llama-3.1-8b-instruct
* TinyLlama/TinyLlama-1.1B-Chat-v1.0
* mistral-7b-instruct

***

## Next Steps

> **[Gateway Configs](https://docs.portkey.ai/docs/aigw/product/ai-gateway.md)**
>
> Add fallbacks, load balancing, and more

> **[Observability](https://docs.portkey.ai/docs/aigw/product/observability.md)**
>
> Monitor and trace your Monster API requests

> **[Metadata](https://docs.portkey.ai/docs/aigw/product/observability/metadata.md)**
>
> Add custom metadata to requests


## Related topics

- [Supported Providers](https://docs.portkey.ai/docs/aigw/api-reference/inference-api/supported-providers.md)
- [Prisma AIRS AI Gateway Models](https://docs.portkey.ai/docs/aigw/product/model-catalog/gateway-models.md)
- [Overview](https://docs.portkey.ai/docs/aigw/integrations/llms.md)
- [Universal API](https://docs.portkey.ai/docs/aigw/product/ai-gateway/universal-api.md)
- [Realtime API](https://docs.portkey.ai/docs/aigw/product/ai-gateway/realtime-api.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.